---
title: "Historical contract: Add wallet"
description: "Historical Ordering.co API contract for POST /carts/{cart_id}/wallets (Add wallet), kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/add-wallet/
---

# Historical contract: Add wallet

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Add wallet

This API endpoint is used to add a wallet to a specific Cart

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/carts/POST/carts/%7Bcart_id%7D/wallets)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "cart_id",
    "in": "path",
    "schema": {
      "type": "string"
    },
    "required": true
  },
  {
    "name": "wallet_id",
    "in": "query",
    "required": true,
    "schema": {
      "type": "integer",
      "format": "int32"
    }
  },
  {
    "name": "amount",
    "in": "query",
    "schema": {
      "type": "number",
      "format": "float"
    }
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
